/*#######################################################################################
Communication between AVR and Navilock GPS Modules 

Copyright (C) 2008 Martin Matysiak
#######################################################################################*/

#ifndef _GPS_H_
 #define _GPS_H_

#include <avr/io.h>
#include <uart.h>
#include <avr/interrupt.h>
#include <util/delay.h>

#define GPS_BAUD		9600
#define GPS_PORT PORTD
#define GPS_CONF_PORT DDRD
#define GPS_PWR_SWITCH PD4

extern unsigned char gps_init(void);

extern char gps_get_char(void);

extern void gps_get_nmea(char* buf, uint8_t bufSize);

#endif
